org.keycloak.services.clientpolicy.executor

## Class HolderOfKeyEnforcerExecutor

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.HolderOfKeyEnforcerExecutor

- All Implemented Interfaces:
    Provider, ClientPolicyExecutorProvider<HolderOfKeyEnforcerExecutor.Configuration>

      public class HolderOfKeyEnforcerExecutor
      extends Object
      implements ClientPolicyExecutorProvider<HolderOfKeyEnforcerExecutor.Configuration>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HolderOfKeyEnforcerExecutor.Configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HolderOfKeyEnforcerExecutor(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeOnEvent(ClientPolicyContext context)` execute actions against the client on the event defined in `ClientPolicyEvent`.
    `Class<HolderOfKeyEnforcerExecutor.Configuration>` | `getExecutorConfigurationClass()`
    `String` | `getProviderId()`
    `void` | `setupConfiguration(HolderOfKeyEnforcerExecutor.Configuration config)` setup this executor's configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.executor.ClientPolicyExecutorProvider

      `close, getName`

- - ### Constructor Detail

    - #### HolderOfKeyEnforcerExecutor

          public HolderOfKeyEnforcerExecutor(KeycloakSession session)

  - ### Method Detail

    - #### setupConfiguration

          public void setupConfiguration(HolderOfKeyEnforcerExecutor.Configuration config)

      Description copied from interface: `ClientPolicyExecutorProvider`
      setup this executor's configuration.
      Specified by:
        `setupConfiguration` in interface `ClientPolicyExecutorProvider<HolderOfKeyEnforcerExecutor.Configuration>`

    - #### getExecutorConfigurationClass

          public Class<HolderOfKeyEnforcerExecutor.Configuration> getExecutorConfigurationClass()

      Specified by:
        `getExecutorConfigurationClass` in interface `ClientPolicyExecutorProvider<HolderOfKeyEnforcerExecutor.Configuration>`
      Returns:
        Class, which should match the "config" argument of the `ClientPolicyExecutorProvider.setupConfiguration(ClientPolicyExecutorConfigurationRepresentation)`

    - #### getProviderId

          public String getProviderId()

      Specified by:
        `getProviderId` in interface `ClientPolicyExecutorProvider<HolderOfKeyEnforcerExecutor.Configuration>`

    - #### executeOnEvent

          public void executeOnEvent(ClientPolicyContext context)
                              throws ClientPolicyException

      Description copied from interface: `ClientPolicyExecutorProvider`
      execute actions against the client on the event defined in `ClientPolicyEvent`.
      Specified by:
        `executeOnEvent` in interface `ClientPolicyExecutorProvider<HolderOfKeyEnforcerExecutor.Configuration>`
      Parameters:
        `context` - - the context of the event.
      Throws:
        `ClientPolicyException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.